scala.io

# Codec

#### class Codec extends AnyRef

A class for character encoding/decoding preferences.

Source
  Codec.scala

Linear Supertypes
AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Codec
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Codec(charSet: Charset)

### Type Members

1. #### type Configure[T] = ((T) ⇒ T, Boolean)

2. #### type Handler = (CharacterCodingException) ⇒ Int

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Codec to any2stringadd[Codec] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Codec, B)

   Implicit information
     This member is added by an implicit conversion from Codec to ArrowAssoc[Codec] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### val charSet: Charset

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def decoder: CharsetDecoder

10. #### def decodingReplaceWith(newReplacement: String): Codec.this.type

11. #### def encoder: CharsetEncoder

12. #### def encodingReplaceWith(newReplacement: Array[Byte]): Codec.this.type

13. #### def ensuring(cond: (Codec) ⇒ Boolean, msg: ⇒ Any): Codec

    Implicit information
      This member is added by an implicit conversion from Codec to Ensuring[Codec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: (Codec) ⇒ Boolean): Codec

    Implicit information
      This member is added by an implicit conversion from Codec to Ensuring[Codec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### def ensuring(cond: Boolean, msg: ⇒ Any): Codec

    Implicit information
      This member is added by an implicit conversion from Codec to Ensuring[Codec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

16. #### def ensuring(cond: Boolean): Codec

    Implicit information
      This member is added by an implicit conversion from Codec to Ensuring[Codec] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

17. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Codec to StringFormat[Codec] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

21. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

22. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

23. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

24. #### def name: String

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### final def notify(): Unit

    Definition Classes
      AnyRef

27. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

28. #### def onCodingException(handler: Handler): Codec.this.type

29. #### def onMalformedInput(newAction: CodingErrorAction): Codec.this.type

30. #### def onUnmappableCharacter(newAction: CodingErrorAction): Codec.this.type

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    The name of the Codec.

    The name of the Codec.

    Definition Classes
      Codec → AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def wrap(body: ⇒ Int): Int

37. #### def →[B](y: B): (Codec, B)

    Implicit information
      This member is added by an implicit conversion from Codec to ArrowAssoc[Codec] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Codec to any2stringadd[Codec]

### Inherited by implicit conversion StringFormat from Codec to StringFormat[Codec]

### Inherited by implicit conversion Ensuring from Codec to Ensuring[Codec]

### Inherited by implicit conversion ArrowAssoc from Codec to ArrowAssoc[Codec]

### Ungrouped